Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance.custom
Class CustomCellAppearance

    java.lang.Object
      datechooser.view.appearance.CellRenderer
          datechooser.view.appearance.CellAppearance
              datechooser.view.appearance.custom.CustomCellAppearance

All Implemented Interfaces:
  CellAttributes, CustomCellAttributes, java.io.Serializable, java.lang.Cloneable

    public class CustomCellAppearance

extends CellAppearance
implements CustomCellAttributes

Customized cell appearance.
Настраиваемый стиль отображения ячейки.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`CustomCellAppearance(java.awt.Color backgroundColor, java.awt.Color textColor, javax.swing.border.Border cellBorder, java.awt.Font font, java.awt.Color cursorColor, float transparency)`
`CustomCellAppearance(java.awt.Color backgroundColor, java.awt.Color textColor, javax.swing.border.Border cellBorder, java.awt.Font font, java.awt.Color cursorColor, float transparency, java.awt.Image texture)`

Method Summary
`void` | `assign(CellAppearance newAppearance)` Assign one cell properties for another.
`java.lang.Object` | `clone()` Deep clone.
`boolean` | `equals(java.lang.Object obj)`
`java.awt.Color` | `getBackgroundColor()`
`javax.swing.border.Border` | `getCellBorder()`
`java.awt.Composite` | `getComposite()` Get composite stile for graphical output.
`java.awt.Color` | `getCursorColor()` Cursor color.
`java.awt.Font` | `getFont()`
`protected CellRenderer` | `getRenderer()`
`java.awt.Color` | `getTextColor()`
`float` | `getTransparency()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setCellBorder(javax.swing.border.Border cellBorder)`
`void` | `setCursorColor(java.awt.Color cursorColor)` Set cursor color.
`void` | `setFont(java.awt.Font font)`
`void` | `setTextColor(java.awt.Color textColor)`
`void` | `setTransparency(float transparency)`

Methods inherited from class datechooser.view.appearance.CellAppearance
`isSelectable, render, setSelectable`

Methods inherited from class datechooser.view.appearance.CellRenderer
`paintCursor, render`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomCellAppearance

    public CustomCellAppearance(java.awt.Color backgroundColor,
                                java.awt.Color textColor,
                                javax.swing.border.Border cellBorder,
                                java.awt.Font font,
                                java.awt.Color cursorColor,
                                float transparency,
                                java.awt.Image texture)

### CustomCellAppearance

    public CustomCellAppearance(java.awt.Color backgroundColor,
                                java.awt.Color textColor,
                                javax.swing.border.Border cellBorder,
                                java.awt.Font font,
                                java.awt.Color cursorColor,
                                float transparency)

Method Detail

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Specified by:
    `getBackgroundColor` in interface `CustomCellAttributes`

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

  Specified by:
    `setBackgroundColor` in interface `CustomCellAttributes`

### getCellBorder

    public javax.swing.border.Border getCellBorder()

  Specified by:
    `getCellBorder` in interface `CustomCellAttributes`

### setCellBorder

    public void setCellBorder(javax.swing.border.Border cellBorder)

  Specified by:
    `setCellBorder` in interface `CustomCellAttributes`

### clone

    public java.lang.Object clone()

  Description copied from class: `CellAppearance`
  Deep clone.
  Глубокое клонирование.

  Specified by:
    `clone` in class `CellAppearance`

### assign

    public void assign(CellAppearance newAppearance)

  Description copied from interface: `CellAttributes`
  Assign one cell properties for another. Not used (reserved).
  Зарезервирована если захочется сделать единые настройки для всех полей

  Specified by:
    `assign` in interface `CellAttributes`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getRenderer

    protected CellRenderer getRenderer()

  Specified by:
    `getRenderer` in class `CellAppearance`
  See Also:
    `CellRenderer`

### getCursorColor

    public java.awt.Color getCursorColor()

  Description copied from class: `CellAppearance`
  Cursor color.
  Цвет курсора.

  Specified by:
    `getCursorColor` in class `CellAppearance`

### setCursorColor

    public void setCursorColor(java.awt.Color cursorColor)

  Description copied from class: `CellAppearance`
  Set cursor color.
  Установить цвет курсора.

  Specified by:
    `setCursorColor` in class `CellAppearance`

### getFont

    public java.awt.Font getFont()

  Specified by:
    `getFont` in interface `CellAttributes`

### getTextColor

    public java.awt.Color getTextColor()

  Specified by:
    `getTextColor` in interface `CellAttributes`

### setFont

    public void setFont(java.awt.Font font)

  Specified by:
    `setFont` in interface `CellAttributes`

### setTextColor

    public void setTextColor(java.awt.Color textColor)

  Specified by:
    `setTextColor` in interface `CellAttributes`

### getTransparency

    public float getTransparency()

### setTransparency

    public void setTransparency(float transparency)

### getComposite

    public java.awt.Composite getComposite()

  Description copied from class: `CellAppearance`
  Get composite stile for graphical output.
  Возвращает стиль композиции при рисовании.

  Specified by:
    `getComposite` in class `CellAppearance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD